# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running `nixos-help`).

{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ./host-specific.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/base.nix
      ../../modules/headless.nix

      #../../modules/gnome-base.nix
      #../../modules/gnome-config.nix
      #../../modules/gnome-extensions.nix
      #../../modules/gnome-fractional-scaling.nix

      #../../modules/programs.nix
      #../../modules/boxes.nix
      #../../modules/freetube.nix
      #../../modules/vscodium.nix
      #../../modules/signal-desktop.nix
      #../../modules/element-desktop.nix
      #../../modules/joplin-desktop.nix
      #../../modules/tor-browser.nix
      #../../modules/autostart.nix
      #../../modules/wallpaper.nix
      #../../modules/fwupd-gnome.nix
      #../../modules/print-and-scan.nix
      ../../modules/fde-ssh-unlock.nix
      #../../modules/nextcloud-integration.nix
      #../../modules/git.nix
      ../../modules/zsh.nix
      #../../modules/nitrokey-gpg-smartcard.nix
      #../../modules/ssh-client.nix
      ../../modules/ssh-server.nix
      #../../modules/firefox.nix
      #../../modules/thunderbird.nix
      #../../modules/digikam-rawtherapee.nix
      #../../modules/ghostwriter.nix
      #../../modules/android.nix
      #../../modules/podman.nix
      ../../modules/docker.nix
      #../../modules/docker-pushrm.nix
      ../../modules/lid-switch-handling.nix
      ../../modules/sendmail-mta.nix
      ../../modules/journalwatch.nix
      #../../modules/waydroid.nix
      #../../modules/ntfs.nix
      #../../modules/veracrypt.nix
      #../../modules/btrbk
      #../../modules/spin-down.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  networking.hostName = "yodaYoga";
  boot.initrd.luks.devices."luks-a8521407-e25b-4f26-8e7a-a56fcbfd2e35".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [];

  boot.kernelPackages = pkgs.linuxPackages;
}
